import { Argv } from 'yargs';
export declare enum CommandOptions {
    ProjectPath = "project",
    Template = "template",
    MatronFile = "matron-file",
    EnvFolder = "env-folder"
}
export declare const command = "create";
export declare const describe = "Scaffold a new project";
export declare const builder: (yargs: Argv<{}>) => Argv<import("yargs").Omit<{}, CommandOptions> & import("yargs").InferredOptionTypes<{
    project: {
        alias: string;
        describe: string;
        type: "string";
    };
    template: {
        alias: string;
        describe: string;
        type: "string";
    };
    "matron-file": {
        alias: string;
        describe: string;
        type: "string";
    };
    "env-folder": {
        describe: string;
        type: "string";
    };
}>>;
export declare const handler: (args: {
    [x: string]: unknown;
    project: string | undefined;
    template: string | undefined;
    "matron-file": string | undefined;
    "env-folder": string | undefined;
    _: string[];
    $0: string;
}) => void;
export declare type CommandBuilder = typeof builder;
export declare type Arguments = ReturnType<CommandBuilder>['argv'];
