export declare class GenericError extends Error {
    constructor(message: string);
}
export declare class MatronFileMissingError extends Error {
    constructor(path: string);
}
export declare class ArgsConflictError extends Error {
    constructor(...args: string[]);
}
export declare class RequiredArgsError extends Error {
    constructor(...args: string[]);
}
export declare class NotAFolderError extends Error {
    constructor(path: string, arg: string);
}
export declare class FolderNotExistsError extends Error {
    constructor(path: string, arg: string);
}
export declare class NotAFileError extends Error {
    constructor(path: string, arg: string);
}
export declare class FileNotExistsError extends Error {
    constructor(path: string, arg: string);
}
