import { Command, Job, MatronDocument } from './parser.types';
export declare function loadFile(path: string): Promise<string>;
export declare function loadMatronDocument(content: string): MatronDocument;
export declare function parser(content: string): Job[];
export declare function lint(doc: MatronDocument): void;
export declare function evaluate(command: Command): Command;
interface SpawnCommand {
    cmd: string;
    args: string[];
}
export declare function toSpawnCommand(command: Command): SpawnCommand;
export {};
